package uk.co.martinpearman.b4a.rotationmanager;

import android.content.ContentResolver;
import android.provider.Settings;
import android.provider.Settings.SettingNotFoundException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.Permissions;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;

@Author("Martin Pearman")
@Permissions(values = { "android.permission.WRITE_SETTINGS" })
@ShortName("RotationManager")
@Version(1.00f)
public class RotationManager {

	public final static int ACCELEROMETER_ROTATION_DISABLED = 0;
	public final static int ACCELEROMETER_ROTATION_ENABLED = 1;
	public final static int ACCELEROMETER_ROTATION_ERROR = -1;

	public static int GetAutoRotateEnabled(BA pBA) {
		ContentResolver contentResolver = pBA.context.getContentResolver();
		String name = Settings.System.ACCELEROMETER_ROTATION;
		try {
			return Settings.System.getInt(contentResolver, name);
		} catch (SettingNotFoundException e) {
			e.printStackTrace();
			pBA.setLastException(e);
		}
		return ACCELEROMETER_ROTATION_ERROR;
	}

	public static void SetAutoRotateEnabled(BA pBA, int Enabled) {
		ContentResolver contentResolver = pBA.context.getContentResolver();
		String name = Settings.System.ACCELEROMETER_ROTATION;
		Settings.System.putInt(contentResolver, name, Enabled);
	}
}
